#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fou_encap_hlen, "", "");
KSYMTAB_FUNC(gue_encap_hlen, "", "");
KSYMTAB_FUNC(__fou_build_header, "", "");
KSYMTAB_FUNC(__gue_build_header, "", "");

SYMBOL_CRC(fou_encap_hlen, 0x1757d1a4, "");
SYMBOL_CRC(gue_encap_hlen, 0xf13914b3, "");
SYMBOL_CRC(__fou_build_header, 0x81d1dea6, "");
SYMBOL_CRC(__gue_build_header, 0x4ea0a6b5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x538208df, "__skb_checksum_complete" },
	{ 0x6763f4a7, "ip_tunnel_encap_add_ops" },
	{ 0x23a0a1d7, "inet_get_local_port_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd280c7d0, "udp_sock_create4" },
	{ 0x1882ab16, "genlmsg_put" },
	{ 0xb3f42781, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x5de713c2, "inet_offloads" },
	{ 0x3aae944e, "inet_protos" },
	{ 0xd3c486d8, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x9c37d0a6, "pskb_expand_head" },
	{ 0x122c3a7e, "_printk" },
	{ 0xbeea74eb, "__alloc_skb" },
	{ 0x6113652f, "__skb_get_hash" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb1d2f58f, "netlink_unicast" },
	{ 0xa3d1d07e, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbd9a1fbf, "skb_push" },
	{ 0xb5f70e15, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x432b123, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbe84f4d3, "ip_tunnel_encap_del_ops" },
	{ 0xdcb764ad, "memset" },
	{ 0xc60c1dc3, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5327492a, "__pskb_pull_tail" },
	{ 0x18be6f87, "register_btf_kfunc_id_set" },
	{ 0xe48f714a, "setup_udp_tunnel_sock" },
	{ 0xff052b31, "udp_sock_create6" },
	{ 0x64b6d9d6, "skb_trim" },
	{ 0xde0c00a, "inet6_offloads" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf88226e4, "genl_unregister_family" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x75f0cc0b, "genl_register_family" },
	{ 0x8da38f9, "register_pernet_device" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,udp_tunnel,ip6_udp_tunnel");

